Skip to content

Update a team

Request

Updates an existing team with the specified attributes, owners, and members

Path
idstringrequired

Team UUID

Bodyapplication/json
teamobjectrequired
PUT
/rest/v2/teams/{id}
curl -i -X PUT \
  'https://api.rhythms.ai/rest/v2/teams/{id}' \
  -H 'Content-Type: application/json' \
  -d '{
    "team": {
      "display_name": "string",
      "icon": "string",
      "color": "gray",
      "description": "string",
      "parent_uuid": "string",
      "status": "active",
      "owner_uuids": [
        "string"
      ],
      "member_uuids": [
        "string"
      ]
    }
  }'

Responses

Success

Headers
any
Body*/*
uuidstringrequired

Uuid

parent_uuidstring

Parent uuid

Default:null
display_namestringrequired

Display name

is_orgbooleanrequired

Is org

Default:false
descriptionstring

Description

Default:null
pathstring

Path

Default:null
statusstringrequired

Status

Default:"active"
depthnumber

Depth

Default:0
viva_goals_team_idstring

Viva goals team

Default:null
iconstring

Icon

Default:null
colorstring

Color

Default:null
Response
{
  "uuid": "string",
  "parent_uuid": null,
  "display_name": "string",
  "is_org": false,
  "description": null,
  "path": null,
  "status": "active",
  "depth": 0,
  "viva_goals_team_id": null,
  "icon": null,
  "color": null
}